{ hostName, inputs, pkgs, ... }:

{
  nix = {
    package = pkgs.nixFlakes;
    extraOptions = "experimental-features = nix-command flakes";
    registry = {
      nixpkgs.flake = inputs.nixpkgs;
      zentralwerk-network.flake = inputs.self;
    };
  };

  environment.systemPackages = with pkgs; [
    vim screen git wget
    tcpdump iputils bridge-utils mtr traceroute
    dhcpcd
  ];

  networking.hostName = hostName;

  users.users.root.initialHashedPassword = "";

  system.stateVersion = "20.09";
}
